#version 330 core

layout(location=0) out vec4 vFragColor;		//wyjściowy kolor fragmentu

//wejście z shadera wierzchołków
smooth in vec2 vUV;				//interpolowane współrzędne tekstury 2D

//uniform
uniform sampler2D textureMap;	//mapa tekstury do wyświetlenia

void main()
{ 
	//wyznaczanie koloru wyjściowego z mapy tekstury przy użyciu wejściowych współrzędnych tekstury
	vFragColor = texture(textureMap, vUV);
}